# Uses of Class
org.apache.sling.jackrabbit.usermanager.PrincipalNameGenerator.NameInfo

Packages that use PrincipalNameGenerator.NameInfo
Package
Description
org.apache.sling.jackrabbit.usermanager
org.apache.sling.jackrabbit.usermanager.impl.post

## Uses of PrincipalNameGenerator.NameInfo in org.apache.sling.jackrabbit.usermanager

Methods in org.apache.sling.jackrabbit.usermanager that return PrincipalNameGenerator.NameInfo
Modifier and Type
Method
Description
`PrincipalNameGenerator.NameInfo`
PrincipalNameGenerator.`getPrincipalName(Map<String,?> parameters, org.apache.jackrabbit.oak.spi.security.user.AuthorizableType type, PrincipalNameFilter principalNameFilter, PrincipalNameGenerator defaultPrincipalNameGenerator)`
Get the to-be-created principal name candidate from the request.

## Uses of PrincipalNameGenerator.NameInfo in org.apache.sling.jackrabbit.usermanager.impl.post

Methods in org.apache.sling.jackrabbit.usermanager.impl.post that return PrincipalNameGenerator.NameInfo
Modifier and Type
Method
Description
`PrincipalNameGenerator.NameInfo`
PrincipalNameGeneratorImpl.`getPrincipalName(Map<String,?> parameters, org.apache.jackrabbit.oak.spi.security.user.AuthorizableType type, PrincipalNameFilter principalNameFilter, PrincipalNameGenerator defaultPrincipalNameGenerator)`
Get a "nice" principal name, if possible, based on given request